Package io.vertx.rxjava3.httpproxy

## Class BodyTransformer

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.BodyTransformer

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class BodyTransformer
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A synchronous function that transforms an HTTP body entity.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BodyTransformer>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BodyTransformer​(BodyTransformer delegate)` |
    `BodyTransformer​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `consumes​(MediaType mediaType)` |
    `boolean` | `equals​(Object o)` |
    `BodyTransformer` | `getDelegate()` |
    `int` | `hashCode()` |
    `static BodyTransformer` | `newInstance​(BodyTransformer arg)` |
    `MediaType` | `produces​(MediaType mediaType)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BodyTransformer> __TYPE_ARG

  - ### Constructor Detail

    - #### BodyTransformer

          public BodyTransformer​(BodyTransformer delegate)

    - #### BodyTransformer

          public BodyTransformer​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BodyTransformer getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### consumes

          public boolean consumes​(MediaType mediaType)

      Parameters:
        `mediaType` -
      Returns:
        whether this transformer consumes the `mediaType`, `mediaType` can be `null` when the HTTP head does not present a body, the default implementation returns `true`

    - #### produces

          public MediaType produces​(MediaType mediaType)

      Parameters:
        `mediaType` -
      Returns:
        the media type produced by this transformer, the default implementation returns the same media type

    - #### newInstance

          public static BodyTransformer newInstance​(BodyTransformer arg)